import { http } from '@/utils/http'
import type { PrintersResult } from '@/types/printer'

/**
 * 获取打印机列表
 */
export const getPrinterList = () => {
  return http<PrintersResult>({
    method: 'GET',
    url: '/admin/printer/getPrinterList',
  })
}

/**
 * 打印尾程面单
 * @param
 */
export const printWaybillLabel = (data: {
  order_no: string
  printer_code: string
  style: string
}) => {
  return http<{ is_goods_empty: boolean }>({
    method: 'POST',
    url: '/admin/order.ScanOrder/printWaybillLabel',
    data,
  })
}
/**
 * 打印尾程面单
 * @param
 */
export const printCustomerLabel = (data: {
  order_no: string
  printer_code: string
  style: string
}) => {
  return http<{ is_goods_empty: boolean }>({
    method: 'POST',
    url: '/admin/order.ScanOrder/printCustomerLabel',
    data,
  })
}
